Subject: Re: The contact info for Michael Newdow's DVD

From: "Arthur Jackson" <[email-masked]>
Date: Thu, 7 Sep 2006 07:46:09 -0700

Hi David,

The person is: Beverly Church, 24 Adkinson Ct., Sacramento, CA 95835, (916) 
359-5423, and e-mail address above.

You might want to get in contact with her by e-mail or phone to see if she 
would rather have you send the DVD to her or to Michael.

I appreciate knowing you now have the DVD of Michael's program to the 
Humanist Community. I'm sure some of our members will want to get a copy 
because of its historical importance.

Arthur
===================================
----- Original Message ----- 
From: "David C. Harris" <[email-masked]>
To: "Arthur Jackson" <[email-masked]>; "Arthur Jackson" 
<[email-masked]>
Sent: Wednesday, September 06, 2006 10:48 PM
Subject: The contact info for Michael Newdow's DVD

> HI Arthur,
>
> Could you send me the contact info for the lady you said acts as 
> secretary/contact for Michael Newdow.  I have the video on DVD for him 
> now.
>
> And I'll probably see you Thursday night at Hilton Brown's house for the 
> viewing and discussion about the "Science Wars" series.
>
>   - David
>
> -- 
>  David Harris, Palo Alto, California.
>                GPS location: 37.41988, -122.13388 (1984 WGS system).
>  NOTE!: NEW active account: [email-masked]
>         Active account WAS: [email-masked]
>  Phone: 1-650-856-9126 (has answering machine or me)
>  Lifetime e-mail forwarding account: [email-masked]
>  Postal ("snail mail") address: David Harris
>                                 Medintrans
>                                 455 Margarita Ave.
>                                 Palo Alto, CA  94306-2827
>
>